Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.phonon
Interface PlatformPluginInterface

All Superinterfaces:
  QtJambiInterface

All Known Implementing Classes:
  PlatformPlugin

    public interface PlatformPluginInterface

extends QtJambiInterface

This class is internal to Qt Jambi.This class is internal to Qt Jambi.

Method Summary
`long` | `__qt_cast_to_PlatformPlugin(long ptr)` This method is internal to Qt Jambi.
`java.lang.String` | `applicationName()` This method is internal to Qt Jambi.
`QObject` | `createBackend()` This method is internal to Qt Jambi.
`QObject` | `createBackend(java.lang.String library, java.lang.String version)` This method is internal to Qt Jambi.
`AbstractMediaStream` | `createMediaStream(QUrl url, QObject parent)` This method is internal to Qt Jambi.
`QIcon` | `icon(java.lang.String name)` This method is internal to Qt Jambi.
`boolean` | `isMimeTypeAvailable(java.lang.String mimeType)` This method is internal to Qt Jambi.
`double` | `loadVolume(java.lang.String outputName)` This method is internal to Qt Jambi.
`void` | `notification(java.lang.String notificationName, java.lang.String text, java.util.List<java.lang.String> actions, QObject receiver, java.lang.String actionSlot)` This method is internal to Qt Jambi.
`void` | `saveVolume(java.lang.String outputName, double volume)` This method is internal to Qt Jambi.

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Method Detail

### applicationName

    java.lang.String applicationName()

  This method is internal to Qt Jambi.

### createBackend

    QObject createBackend()

  This method is internal to Qt Jambi.

### createBackend

    QObject createBackend(java.lang.String library,
                          java.lang.String version)

  This method is internal to Qt Jambi.

### createMediaStream

    AbstractMediaStream createMediaStream(QUrl url,
                                          QObject parent)

  This method is internal to Qt Jambi.

### icon

    QIcon icon(java.lang.String name)

  This method is internal to Qt Jambi.

### isMimeTypeAvailable

    boolean isMimeTypeAvailable(java.lang.String mimeType)

  This method is internal to Qt Jambi.

### loadVolume

    double loadVolume(java.lang.String outputName)

  This method is internal to Qt Jambi.

### notification

    void notification(java.lang.String notificationName,
                      java.lang.String text,
                      java.util.List<java.lang.String> actions,
                      QObject receiver,
                      java.lang.String actionSlot)

  This method is internal to Qt Jambi.

### saveVolume

    void saveVolume(java.lang.String outputName,
                    double volume)

  This method is internal to Qt Jambi.

### __qt_cast_to_PlatformPlugin

    long __qt_cast_to_PlatformPlugin(long ptr)

  This method is internal to Qt Jambi.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD